abclinuxu.cz AbcLinuxu.cz itbiz.cz ITBiz.cz HDmag.cz HDmag.cz abcprace.cz AbcPráce.cz
AbcLinuxu hledá autory!
Inzerujte na AbcPráce.cz od 950 Kč
Rozšířené hledání
×
eParkomat, startup z ČR, postoupil mezi finalisty evropského akcelerátoru ChallengeUp!
Robot na pivo mu otevřel dveře k opravdovému byznysu
Internet věcí: Propojený svět? Už se to blíží...
dnes 11:30 | Komunita

Bylo oznámeno, že bude proveden bezpečnostní audit zdrojových kódů open source softwaru pro implementaci virtuálních privátních sítí OpenVPN. Audit provede Matthew D. Green (blog), uznávaný kryptolog a profesor na Univerzitě Johnse Hopkinse. Auditována bude verze 2.4 (aktuálně RC 1, stabilní verze je 2.3.14). Audit bude financován společností Private Internet Access [reddit].

Ladislav Hagara | Komentářů: 0
dnes 06:00 | Komunita

Na YouTube byl publikován Blender Institute Reel 2016, ani ne dvouminutový sestřih z filmů, které vznikly za posledních 10 let díky Blender Institutu. V institutu aktuálně pracují na novém filmu Agent 327. Dění kolem filmu lze sledovat na Blender Cloudu. Videoukázka Agenta 327 z června letošního roku na YouTube.

Ladislav Hagara | Komentářů: 0
dnes 01:02 | Zajímavý článek

Minulý týden byly vydány verze 1.2.3 a 1.1.7 webového poštovního klienta Roundcube. V oznámení o vydání bylo zmíněno řešení bezpečnostního problému nalezeného společností RIPS a souvisejícího s voláním funkce mail() v PHP. Tento týden byly zveřejněny podrobnosti. Útočník mohl pomocí speciálně připraveného emailu spustit na serveru libovolný příkaz. Stejně, jak je popsáno v článku Exploit PHP’s mail() to get remote code execution z roku 2014.

Ladislav Hagara | Komentářů: 0
včera 16:00 | Nová verze

Byla vydána verze 0.98 svobodného nelineárního video editoru Pitivi. Z novinek lze zmínit například přizpůsobitelné klávesové zkratky. Videoukázka práce s nejnovější verzí Pitivi na YouTube.

Ladislav Hagara | Komentářů: 1
včera 15:00 | Zajímavý software

Stop motion je technika animace, při níž je reálný objekt mezi jednotlivými snímky ručně upravován a posouván o malé úseky, tak aby po spojení vyvolala animace dojem spojitosti. Jaký software lze pro stop motion použít na Linuxu? Článek na OMG! Ubuntu! představuje Heron Animation. Ten bohužel podporuje pouze webové kamery. Podpora digitálních zrcadlovek je začleněna například v programu qStopMotion.

Ladislav Hagara | Komentářů: 3
7.12. 21:21 | Nová verze Ladislav Hagara | Komentářů: 0
7.12. 11:44 | Zajímavý projekt

Na Indiegogo byla spuštěna kampaň na podporu herní mini konzole a multimediálního centra RetroEngine Sigma od Doyodo. Předobjednat ji lze již od 49 dolarů. Požadovaná částka 20 000 dolarů byla překonána již 6 krát. Majitelé mini konzole si budou moci zahrát hry pro Atari VCS 2600, Sega Genesis nebo NES. Předinstalováno bude multimediální centrum Kodi.

Ladislav Hagara | Komentářů: 2
7.12. 00:10 | Nová verze

Byla vydána verze 4.7 redakčního systému WordPress. Kódové označením Vaughan bylo vybráno na počest americké jazzové zpěvačky Sarah "Sassy" Vaughan. Z novinek lze zmínit například novou výchozí šablonu Twenty Seventeen, náhledy pdf souborů nebo WordPress REST API.

Ladislav Hagara | Komentářů: 10
6.12. 12:00 | Zajímavý projekt

Projekt Termbox umožňuje vyzkoušet si linuxové distribuce Ubuntu, Debian, Fedora, CentOS a Arch Linux ve webovém prohlížeči. Řešení je postaveno na projektu HyperContainer. Podrobnosti v často kladených dotazech (FAQ). Zdrojové kódy jsou k dispozici na GitHubu [reddit].

Ladislav Hagara | Komentářů: 27
6.12. 11:00 | Bezpečnostní upozornění

Byly zveřejněny informace o bezpečnostní chybě CVE-2016-8655 v Linuxu zneužitelné k lokální eskalaci práv. Chyba se dostala do linuxového jádra v srpnu 2011. V upstreamu byla opravena minulý týden [Hacker News].

Ladislav Hagara | Komentářů: 2
Kolik máte dat ve svém domovském adresáři na svém primárním osobním počítači?
 (32%)
 (24%)
 (29%)
 (8%)
 (5%)
 (3%)
Celkem 799 hlasů
 Komentářů: 50, poslední 29.11. 15:50
Rozcestník
Reklama

Dotaz: update debian sid amd64: problém s nvidia-glx

10.1.2008 15:49 bhy | skóre: 35 | blog: bhyblog | brno
update debian sid amd64: problém s nvidia-glx
Přečteno: 739×
Zdravím.

Po jedné z průběžných aktualizací distribuce Debian sid u mě došlo k tomu, že balík nvidia-kernel-source byl povýšen na verzi 169.07-1 a balík nvidia-glx závisí na nedostupném virutálním balíku nvidia-kernel-169.07.

Nicméně, když chci zkompilovat aktuální nvidia-kernel pomocí m-a a-i -i -t -f nvidia-kernel, tak se (navzdory dostupnosti nvidia-kernel-source 169.07-1) záhadně vytváří pořád modul ve verzi 100.14.19.

Po kompilaci vypíše:

dpkg -i /usr/src/nvidia-kernel-2.6.22-3-amd64_100.14.19-1+2.6.22-6_amd64.deb
(Čtu databázi ... nyní je nainstalováno 171838 souborů a adresářů.)
Připravuji nahrazení nvidia-kernel-2.6.22-3-amd64 100.14.19-1+2.6.22-6 (pomocí .../nvidia-kernel-2.6.22-3-amd64_100.14.19-1+2.6.22-6_amd64.deb) ...
Rozbaluji náhradu nvidia-kernel-2.6.22-3-amd64 ...
Nastavuji balík nvidia-kernel-2.6.22-3-amd64 (100.14.19-1+2.6.22-6) ...

Takže závislost nového nvidia-glx na nvidia-kernel-169.07 stále není splněna.

# uname -a
Linux rb1j110 2.6.22-3-amd64 #1 SMP Sun Nov 4 18:18:09 UTC 2007 x86_64 GNU/Linux

# dpkg -l | grep nvidia
ii  nvidia-glx                           100.14.19-1                  NVIDIA binary Xorg driver
ii  nvidia-kernel-2.6.22-2-amd64         100.14.19-1+2.6.22-4         NVIDIA binary kernel module for Linux 2.6.22
ii  nvidia-kernel-2.6.22-3-amd64         100.14.19-1+2.6.22-6         NVIDIA binary kernel module for Linux 2.6.22
ii  nvidia-kernel-common                 20051028+1-0.1               NVIDIA binary kernel module common files
ii  nvidia-kernel-source                 169.07-1                     NVIDIA binary kernel module source
ii  nvidia-xconfig                       1.0+20070502-1               The NVIDIA X Configuration Tool

Netušíte, jak to řešit? Díky moc.

Odpovědi

10.1.2008 16:00 Sinuhet
Rozbalit Rozbalit vše Re: update debian sid amd64: problém s nvidia-glx
Dejte m-a update.
10.1.2008 17:50 bhy | skóre: 35 | blog: bhyblog | brno
Rozbalit Rozbalit vše Re: update debian sid amd64: problém s nvidia-glx
Bohužel, nemá to na to vliv. Zkoušel jsem to už předtím a teď znova, ale pořád se kompiluje nvidia-kernel-2.6.22-3-amd64 ve verzi 100.14.19-1+2.6.22-6.
10.1.2008 22:18 bhy | skóre: 35 | blog: bhyblog | brno
Rozbalit Rozbalit vše Re: update debian sid amd64: problém s nvidia-glx
Nechápu to. Před kompilací píše něco o chybějícím tarballu:
# m-a a-i -i -t -f nvidia
.
Aktualizovány informace o 1 balících
Stahuji zdrojové texty jádra verze: 2.6.22-3-amd64
Hlavičkové soubory jádra dostupné v /lib/modules/2.6.22-3-amd64/build
apt-get-y install build-essential

Hotovo!
download
Čtu seznamy balíků... Hotovo
Vytvářím strom závislostí
Reading state information... Hotovo
0 aktualizováno, 0 nově instalováno, 1 reinstalováno, 0 k odstranění a 1 neaktualizováno.
Potřebuji stáhnout 0B/5078kB archivů.
After this operation, 0B of additional disk space will be used.
(Čtu databázi ... nyní je nainstalováno 171838 souborů a adresářů.)
Připravuji nahrazení nvidia-kernel-source 169.07-1 (pomocí .../nvidia-kernel-source_169.07-1_amd64.deb) ...
Rozbaluji náhradu nvidia-kernel-source ...
Nastavuji balík nvidia-kernel-source (169.07-1) ...
Aktualizuji informace o nvidia-kernel-source

Aktualizovány informace o 1 balících
unpack
The source tarball could not be found!
Package nvidia-kernel-source not installed?
Running "m-a -f get nvidia-kernel-source" may help.
Kompilace pak ale proběhne normálně..

Přesto jsem to zkusil:
# m-a -f get nvidia-kernel-source
Čtu seznamy balíků... Hotovo
Vytvářím strom závislostí
Reading state information... Hotovo
0 aktualizováno, 0 nově instalováno, 1 reinstalováno, 0 k odstranění a 1 neaktualizováno.
Potřebuji stáhnout 0B/5078kB archivů.
After this operation, 0B of additional disk space will be used.
(Čtu databázi ... nyní je nainstalováno 171838 souborů a adresářů.)
Připravuji nahrazení nvidia-kernel-source 169.07-1 (pomocí .../nvidia-kernel-source_169.07-1_amd64.deb) ...
Rozbaluji náhradu nvidia-kernel-source ...
Nastavuji balík nvidia-kernel-source (169.07-1) ...
A potom zase
m-a a-i -i -t -f nvidia
ale stane se úplně totéž, co jsem sem už dával (před kompilací píše 169.07-1, vč. varování o chybějícím tarballu, ale po kompilaci nainstaluje 100.14.19).

Nevím, jak je to možné. Jedině mě napadá, že unstable distribuce je zatím ve stadiu přechodu z 100.14.19 na 169.07-1 a k té novější verzi tam zatím něco chybí.
10.1.2008 18:44 cenda | skóre: 24 | blog: dedalebedanebohurvajs | Planá nad Lužnicí
Rozbalit Rozbalit vše Re: update debian sid amd64: problém s nvidia-glx
Stejný problém mám s ovladači od ATI. Když si stáhnu novou verzi ze stránek ATI a vytvořim balíčky pomocí ati-driver-installer-7-11-x86.x86_64.run --buildpkg, nainstaluju fglrx-kernel-src_*_amd64.deb tak si m-a stejně kompiluje verzi, která je v repozitářích Debianu. Nevíte jak správně nastavit m-a nebo jinak přinutit ke kompilaci správných zdrojových kodu? Dík
10.1.2008 20:38 bhy | skóre: 35 | blog: bhyblog | brno
Rozbalit Rozbalit vše Re: update debian sid amd64: problém s nvidia-glx
Nemyslím, že je to tentýž problém. Já se to snažím kompilovat ze zdrojáku, co je v balíčku v repositáři, takže by o tom m-a fakt měl vědět.
10.1.2008 22:55 bhy | skóre: 35 | blog: bhyblog | brno
Rozbalit Rozbalit vše Re: update debian sid amd64: problém s nvidia-glx
Hm, tak jsem hledal, a zjistil jsem, že zdaleka nejsem jediný s tímto problémem:

http://forums.debian.net/viewtopic.php?p=122583&sid=84594833f5966f9f6216b07a82bc5b9f http://groups.google.com/group/linux.debian.bugs.rc/browse_thread/thread/00c4896cae7a735f/a6ffa55362537409 http://groups.google.com/group/linux.debian.bugs.dist/browse_thread/thread/c59474fed8695279/b160e9abf116faae?lnk=raot

V podstatě je to tak, že archiv se zdrojáky nvidia-kernel byl přejmenován, ale module-assistant o tom zatím neví, takže je potřeba udělat kus práce za něj: rozbalit (pod rootem) nvidia-kernel.tar.bz2:
tar xvjf nvidia-kernel.tar.bz2
a teprve potom
m-a a-i nvidia-kernel
u mě to ovšem nepomáhá... stále se snaží instalovat verzi 100.14.19
10.1.2008 23:01 bhy | skóre: 35 | blog: bhyblog | brno
Rozbalit Rozbalit vše Re: update debian sid amd64: problém s nvidia-glx
No konečně! Zkusil jsem to s parametrem -f
m-a a-i -f nvidia-kernel
a nyní už byl vytvořen (a nainstalován) balík nvidia-kernel-2.6.22-3-amd64 ve verzi 169.07-1+2.6.22-6

a v důsledku toho jde aktualizovat nvidia-glx
$ dpkg -l | grep nvidia | grep 169
ii  nvidia-glx                           169.07-1                     NVIDIA binary Xorg driver
ii  nvidia-glx-ia32                      169.07-1                     NVIDIA binary XFree86 4.x driver
ii  nvidia-kernel-2.6.22-3-amd64         169.07-1+2.6.22-6            NVIDIA binary kernel module for Linux 2.6.22
ii  nvidia-kernel-source                 169.07-1                     NVIDIA binary kernel module source
(nechápu, proč se nainstaloval nvidia-glx-ia32, ale to už teď řešit nebudu.)

takže zkusím restartovat systém, jestli to funguje..
11.1.2008 13:10 bhy | skóre: 35 | blog: bhyblog | brno
Rozbalit Rozbalit vše Re: update debian sid amd64: problém s nvidia-glx
Fajn, po rebootu je všechno v pořádku. Abych to shrnul, postup byl následující:

1. update nvidia-kernel-source na verzi 169.07-1

2. cd /usr/src/ && tar xvjf nvidia-kernel.tar.bz2

3. m-a update

4. m-a a-i -f nvidia-kernel

5. update nvidia-glx na verzi 169.07-1
11.1.2008 16:02 -=eM=- | skóre: 11 | blog: Merljin | Praha
Rozbalit Rozbalit vše Re: update debian sid amd64: problém s nvidia-glx
Dík za postup, o víkendu budu také upgradovat, tak mě stejný problém nejspíš nemine. Teď už je i řešení, což ušetří čas :) Díkes
It is wiser to find out than to suppose. -- Mark Twain
13.1.2008 12:14 bhy | skóre: 35 | blog: bhyblog | brno
Rozbalit Rozbalit vše Re: update debian sid amd64: problém s nvidia-glx
Dnes ráno byly nvidia-kernel-source a update nvidia-glx updatovány z verze 169.07-1 na 169.07-2 a pořád je tento postup potřeba (jinak se kompiluje 169.07-1, ne 169.07-2, ale po ručním rozbalení je to správně 169.07-2).
11.1.2008 18:41 Petr Šobáň | skóre: 79 | blog: soban | Olomouc
Rozbalit Rozbalit vše Re: update debian sid amd64: problém s nvidia-glx
(nechápu, proč se nainstaloval nvidia-glx-ia32, ale to už teď řešit nebudu.)
To je balíček pro kompatibilitu s 32b a pokud máš nějaké programy, knihovny na 32b tak je třeba.
12.1.2008 15:34 bhy | skóre: 35 | blog: bhyblog | brno
Rozbalit Rozbalit vše Re: update debian sid amd64: problém s nvidia-glx
To dává smysl, ale 32bitové programy a knihovny jsem měl už předtím a nvidia-glx-ia32 se neinstalovalo, až teď. Navíc, jak může 32bitová aplikace vyžadovat 32bitový ovladač grafiky, když se beztak zobrazuje na displeji 64bitového X serveru?
12.1.2008 21:26 Petr Šobáň | skóre: 79 | blog: soban | Olomouc
Rozbalit Rozbalit vše Re: update debian sid amd64: problém s nvidia-glx
Je to nějakej meziksicht nebo jak bych to nazval mezi 32b a 64b ovladačem.

Když jsem používal originál binární nvidia ovladače tak se mě ptal zda chci kompatibilitu pro 32b a potom tam vrazil nějaké knihovny navíc.... :-)

PS. Proč to předtím nedělalo protože to možná už bylo v tom balíku pro 64b a teď to rozdělily.

Založit nové vláknoNahoru

Tiskni Sdílej: Linkuj Jaggni to Vybrali.sme.sk Google Del.icio.us Facebook

ISSN 1214-1267   www.czech-server.cz
© 1999-2015 Nitemedia s. r. o. Všechna práva vyhrazena.